<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class: { 'jee-hidden': disableSubmit } }"
    @cancel="handleCancel"
    cancelText="关闭"
  >
    <stock-type-form
      ref="realForm"
      @ok="submitCallback"
      :disabled="disableSubmit"
    ></stock-type-form>
  </j-modal>
</template>

  
<script>
import stockTypeForm from "./SelectGoods.vue";
export default {
  name: "stockTypeModel",
  components: {
    stockTypeForm,
  },
  data() {
    return {
      title: "",
      width: 1200,
      visible: false,
      disableSubmit: false,
    };
  },
  methods: {
    add() {
      this.visible = true;
      this.$nextTick(() => {
        this.$refs.realForm.add();
      });
    },
    edit(record) {
      this.visible = true;
      this.$nextTick(() => {
        this.$refs.realForm.edit(record);
      });
    },
    close() {
      this.$emit("close");
      this.visible = false;
    },
    handleOk() {
      this.$refs.realForm.submitForm();
    },
    submitCallback(e) {
      this.$emit("ok", e);
      this.visible = false;
    },
    handleCancel() {
      this.close();
    },
  },
};
</script>
